Bug Hunting Session
Bug 74751 - Base point diagram works in reverse on RTL languages
Summary: Base point diagram works in reverse on RTL languages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: All All
: medium normal
Assignee: Faisal Menawer
URL:
Whiteboard: target:4.3.0 target:4.2.3
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-02-09 16:20 UTC by elicoten
Modified: 2015-09-23 21:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elicoten 2014-02-09 16:20:39 UTC
When changing the base point with the UI in a right to left language such as Hebrew, I have found that the base points seem to be horizontally flipped.

So if I want to set the position of something relative to the top-left corner, I actually have to select the top-right corner as a base point.
Comment 1 elicoten 2014-02-09 16:21:13 UTC
I should add that this affects Draw and Impress
Comment 2 Faisal Menawer 2014-02-11 07:57:55 UTC
confirm this bug with master

Version: 4.3.0.0.alpha0+
Build ID: a95b58060b01046a8881e97e0c5016e44200dd32
Comment 3 Commit Notification 2014-02-23 06:53:26 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5ebee7ebb8ad9fae9d50b0708dc120c1d2eb32c

fdo#74751: fix reverse base point diagram on RTL UI



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-02-24 15:47:27 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1027e2be99f133ea30e5b81bf65b1c301a0a5866&h=libreoffice-4-2

fdo#74751: fix reverse base point diagram on RTL UI


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.